notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)
Ukraine
NOTE: There is a known problem on production with searching pkg-plist - it returns no results. This problem is not present on stage.freshports.org
non port: lang/ruby24/files/patch-configure.in
SVNWeb

Number of commits found: 6

Sat, 20 Oct 2018
[ 14:58 sunpoet search for other commits by this committer ] Original commit   Revision:482555
Update to 2.4.5

- Move USES upward
- Remove no-op MLINKS and create symlinks for manpages
- Sort INSTALLED_SCRIPTS
- Regenerate patch files with makepatch:

Changes:	https://www.ruby-lang.org/en/news/2018/10/17/ruby-2-4-5-released/
PR:		232435
Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>
Security:	afc60484-0652-440e-b01a-5ef814747f06
MFH:		2018Q4
Tue, 25 Sep 2018
[ 13:11 romain search for other commits by this committer ] Original commit   Revision:480661
Address more linker issues

This resolves a ninja-related issues, corrects passing private args to linker
while building libruby itself (without external LDFLAGS), exports the full
symbols table, and pet 'pkg check -d'. Issues with weechat, vim, facter,
rubygem-hpricot and rubygem-rdiscount should be fixed.  See [1] for long story
of hunting and fixing these issues.

Bump PORTREVISIONS accordingly.

PR:		230238 [1], 231361
Submitted by:	fuffy
Approved by:	fuffy
Thu, 20 Sep 2018
[ 09:12 romain search for other commits by this committer ] Original commit   Revision:480158
Revert the "DLD_FLAGS" pollution part of r475483.

It was initially got from ruby23, but recent ruby releases have some
differences in runtime linking, which was not hit by exp-run, and caused
trouble with some ports (e.g. devel/leatherman, sysutils/facter).

PR:		230238
Submitted by:	fluffy
Reported by:	freebsd@ptty.com
Approved by:	fluffy
Thu, 13 Sep 2018
[ 19:26 ed search for other commits by this committer ] Original commit   Revision:479692
lang/ruby2[345]: Improve qsort_r() detection

This change merges the following upstream pull request into the Ruby
interpreter ports:

	https://github.com/ruby/ruby/pull/1954

Adding this patch to these ports will ensure that once we patch up
qsort_r() to be compatible with glibc, Ruby will automatically pick them
up. Ruby should also build fine without this patch, but this will cause
it to use its own implementation, which blows up the binary size
slightly.

Poudriere runs seem to pass for 11.x amd64. Logs indicate that this
doesn't negatively affect the existing qsort_r() detection:

	checking whether qsort_r is GNU version... no
	checking whether qsort_r is BSD version... yes

PR:		231256
Approved by:	sunpoet
Differential Revision:	https://reviews.freebsd.org/D17157
Sat, 28 Jul 2018
[ 02:53 fluffy search for other commits by this committer ] Original commit   Revision:475483
lang/ruby2[4|5]: Use internal RUBY_DLDFLAGS right way, get rid of unescaped
macro '$@' in the pkg-config template

lang/ruby23 is already fixed same way, port it to newer releases

By the way, this unbreak ninja builds with any port relied on libruby.so

PR:		229898
Submitted by:	fluffy
Reviewed by:	ruby (miwi)
Approved by:	ruby (miwi)
Exp-run by:	antoine
MFH:		2018Q3
Differential Revision:	D16341
Mon, 26 Dec 2016
[ 19:00 swills search for other commits by this committer ] Original commit   Revision:429566 (Only the first 10 of 18 ports in this commit are shown above. View all ports for this commit)
Add Ruby 2.4.0

While here, remove local patches that are no longer needed and simplify
post-patch target.

Number of commits found: 6